// getenv　ブラウザ・OS情報取得

// OS判別
// Macintosh			-> MacOS
// Windows95/98/NT/2000/XP	-> Windows
// UNIX				-> UNIX
function getOSType()
{
	var uAgent	= navigator.userAgent.toUpperCase();
	if (uAgent.indexOf("MAC")>= 0) return "MacOS";
	if (uAgent.indexOf("WIN")>= 0) return "Windows";
	if (uAgent.indexOf("X11")>= 0) return "UNIX";
	return "";
}

// ブラウザ判別
// Netscape Navigator	-> NetScape
// Internet Explorer	-> Explorer
function getBrowserName()
{
	var aName	= navigator.appName.toUpperCase();
	if (aName.indexOf("NETSCAPE") >= 0) return "Netscape";
	if (aName.indexOf("MICROSOFT") >=0) return "Explorer";
	return "";
}

// ブラウザバージョン判別
function getBrowserVersion()
{
	var browser	= getBrowserName();
	var version	= 0;
	var s	= 0;
	var e	= 0;
	var appVer	= navigator.appVersion;
	if (browser	== "Netscape")
	{
		s	= appVer.indexOf(" ",0);
		version	= eval(appVer.substring(0,s));
		if (version >= 5) version++;
	}
	if (browser	== "Explorer")
	{
		appVer	= navigator.userAgent;
		s	= appVer.indexOf("MSIE",0) + 5;
		e	= appVer.indexOf(";",s);
		version	= eval(appVer.substring(s,e));
	}
	return version;
}